Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: rssh

Interfaces

### Description:

Restricted (scp/sftp) only shell.

### Interfaces:

rssh_domtrans_chroot_helper( domain )

##### Summary

Execute a domain transition to run rssh chroot helper.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rssh_exec( domain )

##### Summary

Execute the rssh program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rssh_read_ro_content( domain )

##### Summary

Read users rssh read-only content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rssh_role( role , domain )

##### Summary

Role access for rssh.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

rssh_spec_domtrans( domain )

##### Summary

Execute rssh in the rssh domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return